MEMCACHED_FLUSH_BUFFERS(3)

NAME
memcached_flush_buffers - libmemcached Documentation

SYNOPSIS

#include <libmemcached/memcached.h>
    Compile and link with -lmemcached

memcached_return_t <#_CPPv418memcached_return_t> memcached_flush_buffers(memcached_st <#_CPPv412memcached_st> *ptr)

Parameters
    ptr -- pointer to initialized memcached_st <#_CPPv412memcached_st> struct

Returns
    memcached_return_t <#_CPPv418memcached_return_t> indicating success

DESCRIPTION

memcached_flush_buffers() is used in conjunction with MEMCACHED_BEHAVIOR_BUFFER_REQUESTS <#_CPPv4N20memcached_behavior_t34MEMCACHED_BEHAVIOR_BUFFER_REQUESTSE> to flush all buffers by sending the buffered commands to the server for processing.

RETURN VALUE

A value of type memcached_return_t <#_CPPv418memcached_return_t> is returned. On success that value will be MEMCACHED_SUCCESS <#_CPPv4N18memcached_return_t17MEMCACHED_SUCCESSE>. Use memcached_strerror() <#_CPPv418memcached_strerrorP12memcached_st18memcached_return_t> to translate this value to a printable string.

SEE ALSO

memcached(1) <https://linux.die.net/man/1/memcached> libmemcached(3) <https://linux.die.net/man/3/libmemcached> memcached_strerror(3) <https://linux.die.net/man/3/memcached_strerror> memcached_behavior(3) <https://linux.die.net/man/3/memcached_behavior>